Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.util
Class OperationNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.newdawn.slick.util.OperationNotSupportedException

All Implemented Interfaces:
  java.io.Serializable

    public class OperationNotSupportedException

extends java.lang.RuntimeException

Thrown to indicate that a limited implementation of a class can not support the operation requested.

Author:
  kevin
See Also:
  Serialized Form

Constructor Summary
`OperationNotSupportedException(java.lang.String msg)` Create a new exception

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationNotSupportedException

    public OperationNotSupportedException(java.lang.String msg)

  Create a new exception

  Parameters:
    `msg` - The message describing the limitation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.